%global _description \
The gflags package contains a library that implements commandline \
flags processing. As such it's a replacement for getopt(). It has \
increased flexibility, including built-in support for C++ types like \
string, and the ability to define flags in the source file in which \
they are used.

Name:           gflags
Version:        2.1.2
Release:        9
Summary:        A C++ library for commandline flag processing
License:        BSD
URL:            https://gflags.github.io/gflags/
Source0:        https://github.com/gflags/gflags/archive/v%{version}/gflags-%{version}.tar.gz
Patch0001:      gflags-0001-Set-VERSION-property-of-library-targets-to-major.patch
BuildRequires:  gcc-c++ python2-setuptools cmake

%description %_description

%package devel
Summary:        Development files for gflags
Requires:       gflags = %{version}-%{release}

%description devel
This package contains development files for gflags.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake -DBUILD_TESTING:BOOL=ON .
%make_build

%install
%make_install

%check
ctest

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc AUTHORS.txt ChangeLog.txt README.md COPYING.txt
%{_bindir}/gflags_completions.sh
%{_libdir}/libgflags.so.*
%{_libdir}/libgflags_nothreads.so.*

%files devel
%doc doc/designstyle.css doc/index.html
%{_includedir}/gflags/*.h
%{_libdir}/libgflags.so
%{_libdir}/libgflags_nothreads.so
%{_libdir}/cmake/gflags

%changelog
* Fri Nov 15 2019 sunguoshuai <sunguoshuai@huawei.com> - 2.1.2-9
- Package init
